-----------------------------------------------------------------------------
--  Tabard Addict Settings Data - TabardAddictSettings.lua
--
-- This file is used to contain data relating to the settings for the addon.
--
--  (c) 2011-2022 gmz323(Greg)
-----------------------------------------------------------------------------

-- Localized Strings
local L = TabardAddictLocalization

-- TYPE section of config
-- global key, checkbox text, checkbox tooltip
taSettingsTypes = {
	{ "CB_BCF", L.CONFIG_BCF, L.CONFIG_TT_BCF },
	{ "CB_WotLKF", L.CONFIG_WOTLK, L.CONFIG_TT_WOTLK },
	{ "CB_ATF", L.CONFIG_ATF, L.CONFIG_TT_ATF },
	{ "CB_CF", L.CONFIG_CF, L.CONFIG_TT_CF },
	{ "CB_MOPF", L.CONFIG_MOPF, L.CONFIG_TT_MOPF },
	{ "CB_WOD", L.CONFIG_WOD, L.CONFIG_TT_WOD },
	{ "CB_LG", L.CONFIG_LG, L.CONFIG_TT_LG },
	{ "CB_BFA", L.CONFIG_BFA, L.CONFIG_TT_BFA },
	{ "CB_SLANDS", L.CONFIG_SLANDS, L.CONFIG_TT_SLANDS },
	{ "CB_DFLIGHT", L.CONFIG_DFLIGHT, L.CONFIG_TT_DFLIGHT },
	{ "CB_TCG", L.CONFIG_TCG, L.CONFIG_TT_TCG },
	{ "CB_PVP", L.CONFIG_PVP, L.CONFIG_TT_PVP },
	{ "CB_NA", L.CONFIG_NA, L.CONFIG_TT_NA },
	{ "CB_Other", L.CONFIG_OTHER, L.CONFIG_TT_OTHER },
}

-- FILTER section of config
-- global key, checkbox text, checkbox tooltip
taSettingsFilter = {
	{ "CB_AO", L.CONFIG_AO, L.CONFIG_TT_AO },
	{ "CB_HO", L.CONFIG_HO, L.CONFIG_TT_HO },
}

-- SUGGESTIONS section of config
taSettingsSugg = {
	{ "CB_SUGG_ACH", L.CONFIG_SUGG_ACH, L.CONFIG_TT_SUGG_ACH },
	{ "CB_SUGG_QST", L.CONFIG_SUGG_QST, L.CONFIG_TT_SUGG_QST },
	{ "CB_SUGG_CUR", L.CONFIG_SUGG_CUR, L.CONFIG_TT_SUGG_CUR },
}

-- BLANK placeholder
taSettingsBlank = {

}

-- HEADERS for each setting section
taSettingsHeaders = {
	{ L.CONFIG_HDR1, taSettingsTypes, 1 },
	{ L.CONFIG_HDR2, taSettingsFilter, 1},
	{ L.CONFIG_HDR3, taSettingsSugg, 2 }
}

-- DEFAULTS for each setting - saved per character
-- NOTE: EVERY global must exist in this table.
taSettingsDefaults = 
{
	CB_AO = true,
	CB_HO = true,
	CB_TCG = true,
	CB_Other = true,
	CB_NA = true,
	CB_PVP = true,
	CB_BCF = true,
	CB_WotLKF = true,
	CB_ATF = true,
	CB_CF = true,
	CB_MOPF = true,
	CB_WOD = true,
	CB_LG = true,
	CB_BFA = true,
	CB_SLANDS = true,
	CB_DFLIGHT = true,
	CB_SUGG_ACH = true,
	CB_SUGG_QST = true,
	CB_SUGG_CUR = true,
	CB_INFO_EQUIP = true,
	CB_FILTER_EQYES = true,
	CB_FILTER_EQNO = true,
	CB_FILTER_NTBG = true,
}
